Ignore:
Timestamp:
Jun 19, 2011 10:12:04 AM (10 years ago)
Author:
stefan
Message:

sync with trunk rev2306

Location:
ThirdParty/ASL/stable/1.2
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/stable/1.2

  • ThirdParty/ASL/stable/1.2/configure

    r2061 r2307  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion ASL_SVN_REV EGREP LN_S COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED AMPLSOLVER_A ASLMAKEFLAGS MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE ASL_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion ASL_SVN_REV EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED AMPLSOLVER_A ASLMAKEFLAGS ASL_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10641064  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    10651065  --enable-debug          compile all projects with debug options tests
    1066   --enable-debug-asl compile this project (ASL) with debug options
     1066                          (implies --disable-shared)
     1067  --enable-debug-asl compile project ASL with debug compiler flags
    10671068  --enable-doscompile     Under Cygwin, compile so that executables run under
    10681069                          DOS. Set to mingw to use gcc/g++/ld with
     
    10811082                          optimize for fast installation [default=yes]
    10821083  --disable-libtool-lock  avoid locking (might break parallel builds)
    1083   --enable-pkg-config     use pkg-config if available (default is yes)
     1084  --disable-pkg-config    disable use of pkg-config (if available)
    10841085
    10851086Optional Packages:
     
    16721673coin_projectdir=yes
    16731674
    1674 # Set the project's version number
    1675 if test "xASL" != x; then
     1675# Set the project's version numbers
     1676
    16761677
    16771678cat >>confdefs.h <<_ACEOF
     
    16791680_ACEOF
    16801681
    1681 fi
    1682 
    1683 # Set the project's SVN revision number. The complicated sed expression
    1684 # (made worse by quadrigraphs) ensures that things like 4123:4168MS end up
    1685 # as a single number.
    1686 # Extract the first word of "svnversion", so it can be a program name with args.
     1682
     1683  coin_majorver=`echo $PACKAGE_VERSION | sed -n -e 's/^\([0-9]*\).*/\1/gp'`
     1684  coin_minorver=`echo $PACKAGE_VERSION | sed -n -e 's/^[0-9]*\.\([0-9]*\).*/\1/gp'`
     1685  coin_releasever=`echo $PACKAGE_VERSION | sed -n -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\).*/\1/gp'`
     1686  if test "x$coin_majorver" = x ; then coin_majorver=9999 ; fi
     1687  if test "x$coin_minorver" = x ; then coin_minorver=9999 ; fi
     1688  if test "x$coin_releasever" = x ; then coin_releasever=9999 ; fi
     1689
     1690cat >>confdefs.h <<_ACEOF
     1691#define ASL_VERSION_MAJOR $coin_majorver
     1692_ACEOF
     1693
     1694
     1695cat >>confdefs.h <<_ACEOF
     1696#define ASL_VERSION_MINOR $coin_minorver
     1697_ACEOF
     1698
     1699
     1700cat >>confdefs.h <<_ACEOF
     1701#define ASL_VERSION_RELEASE $coin_releasever
     1702_ACEOF
     1703
     1704
     1705  # We use the following variable to have a string with the upper case
     1706  # version of the project name
     1707  COIN_PRJCT=ASL
     1708
     1709  # Set the project's SVN revision number. The complicated sed expression
     1710  # (made worse by quadrigraphs) ensures that things like 4123:4168MS end up
     1711  # as a single number.
     1712  # Extract the first word of "svnversion", so it can be a program name with args.
    16871713set dummy svnversion; ac_word=$2
    16881714echo "$as_me:$LINENO: checking for $ac_word" >&5
     
    17201746fi
    17211747
    1722 if test "x$have_svnversion" = xyes && test "xASL" != x; then
    1723 
    1724   svn_rev_tmp=`cd $srcdir/$coin_has_asl ; svnversion`
    1725   ASL_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    1726   if test $ASL_SVN_REV != exported; then
     1748  if test "x$have_svnversion" = xyes; then
     1749
     1750    svn_rev_tmp=`LANG=en_EN svnversion $srcdir 2>/dev/null`
     1751    if test "x$svn_rev_tmp" != xexported -a "x$svn_rev_tmp" != x; then
     1752      ASL_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    17271753
    17281754cat >>confdefs.h <<_ACEOF
     
    17301756_ACEOF
    17311757
     1758    fi
    17321759  fi
    1733 fi
     1760
     1761
    17341762
    17351763# Capture libtool library version, if given.
     1764
    17361765
    17371766
     
    17711800  case "${enableval}" in
    17721801    yes) coin_debug_compile=true
    1773          enable_shared=no
    17741802         ;;
    17751803    no)  coin_debug_compile=false
     
    18261854#define COIN_ASL_CHECKLEVEL $coin_asl_checklevel
    18271855_ACEOF
    1828 
    1829 
    1830 # We use the following variable to have a string with the upper case
    1831 # version of the project name
    1832 COIN_PRJCT=ASL
    18331856
    18341857
     
    19391962  esac
    19401963fi
    1941 
    1942 # add automake conditional so we can recognize cl compiler in makefile
    1943 coin_cc_is_cl=false
    1944 if test x"$CXX" != x; then
    1945   case "$CXX" in
    1946     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    1947       coin_cc_is_cl=true
    1948       ;;
    1949   esac
    1950 fi
    1951 
    1952 
    1953 if test $coin_cc_is_cl = true; then
    1954   COIN_CC_IS_CL_TRUE=
    1955   COIN_CC_IS_CL_FALSE='#'
    1956 else
    1957   COIN_CC_IS_CL_TRUE='#'
    1958   COIN_CC_IS_CL_FALSE=
    1959 fi
    1960 
    19611964
    19621965
     
    27782781CFLAGS="$save_cflags"
    27792782
     2783# add automake conditional so we can recognize cl compiler in makefile
     2784coin_cc_is_cl=false
     2785case "$CC" in
     2786  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     2787    coin_cc_is_cl=true
     2788    ;;
     2789esac
     2790
     2791
     2792if test $coin_cc_is_cl = true; then
     2793  COIN_CC_IS_CL_TRUE=
     2794  COIN_CC_IS_CL_FALSE='#'
     2795else
     2796  COIN_CC_IS_CL_TRUE='#'
     2797  COIN_CC_IS_CL_FALSE=
     2798fi
     2799
     2800
    27802801# Check if a project specific CFLAGS variable has been set
    27812802if test x$COIN_PRJCT != x; then
     
    28002821        coin_opt_cflags="-O3"
    28012822        coin_add_cflags="-pipe"
    2802         coin_dbg_cflags="-g"
    2803         coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2823        coin_dbg_cflags="-g -O0"
     2824        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas -Wno-long-long"
    28042825        case $build in
    28052826          *-darwin*)
     
    30663087esac
    30673088
     3089# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     3090if test x$COIN_PRJCT != x; then
     3091  CFLAGS="$CFLAGS -D${COIN_PRJCT}_BUILD"
     3092fi
     3093
    30683094# Try if CFLAGS works
    30693095save_CFLAGS="$CFLAGS"
     
    36123638
    36133639
     3640
    36143641# AC_MSG_NOTICE([Beginning automake initialisation.])
    36153642# Stuff for automake
     
    41454172
    41464173
    4147   # Check if we have an Externals file
    4148   if test -r $srcdir/Externals; then
     4174  # Check if we have an Dependencies file
     4175  if test -r $srcdir/Dependencies; then
    41494176    coin_have_externals=yes
    41504177  fi
     
    42194246        { { echo "$as_me:$LINENO: error: Cannot find the BuildTools directory" >&5
    42204247echo "$as_me: error: Cannot find the BuildTools directory" >&2;}
    4221    { (exit 1); exit 1; }; }
     4248   { (exit better disable maintainer mode.); exit better disable maintainer mode.; }; }
    42224249      fi
    42234250    fi
    42244251  fi
    42254252
     4253
     4254  # for running automake by make, we need to have Makemain.inc available at the place where it usually can be found during run_autotools
     4255  if test "$BUILDTOOLSDIR" != "$srcdir/BuildTools" ; then
     4256    $LN_S `cd $BUILDTOOLSDIR; pwd` "$srcdir/BuildTools"
     4257  fi
    42264258
    42274259  # The following variable is set to the name of the directory where
     
    48164848*-*-irix6*)
    48174849  # Find out which ABI we are using.
    4818   echo '#line 4818 "configure"' > conftest.$ac_ext
     4850  echo '#line 4850 "configure"' > conftest.$ac_ext
    48194851  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48204852  (eval $ac_compile) 2>&5
     
    64156447
    64166448# Provide some information about the compiler.
    6417 echo "$as_me:6417:" \
     6449echo "$as_me:6449:" \
    64186450     "checking for Fortran 77 compiler version" >&5
    64196451ac_compiler=`set X $ac_compile; echo $2`
     
    74827514   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    74837515   -e 's:$: $lt_compiler_flag:'`
    7484    (eval echo "\"\$as_me:7484: $lt_compile\"" >&5)
     7516   (eval echo "\"\$as_me:7516: $lt_compile\"" >&5)
    74857517   (eval "$lt_compile" 2>conftest.err)
    74867518   ac_status=$?
    74877519   cat conftest.err >&5
    7488    echo "$as_me:7488: \$? = $ac_status" >&5
     7520   echo "$as_me:7520: \$? = $ac_status" >&5
    74897521   if (exit $ac_status) && test -s "$ac_outfile"; then
    74907522     # The compiler can only warn and ignore the option if not recognized
     
    77507782   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77517783   -e 's:$: $lt_compiler_flag:'`
    7752    (eval echo "\"\$as_me:7752: $lt_compile\"" >&5)
     7784   (eval echo "\"\$as_me:7784: $lt_compile\"" >&5)
    77537785   (eval "$lt_compile" 2>conftest.err)
    77547786   ac_status=$?
    77557787   cat conftest.err >&5
    7756    echo "$as_me:7756: \$? = $ac_status" >&5
     7788   echo "$as_me:7788: \$? = $ac_status" >&5
    77577789   if (exit $ac_status) && test -s "$ac_outfile"; then
    77587790     # The compiler can only warn and ignore the option if not recognized
     
    78547886   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78557887   -e 's:$: $lt_compiler_flag:'`
    7856    (eval echo "\"\$as_me:7856: $lt_compile\"" >&5)
     7888   (eval echo "\"\$as_me:7888: $lt_compile\"" >&5)
    78577889   (eval "$lt_compile" 2>out/conftest.err)
    78587890   ac_status=$?
    78597891   cat out/conftest.err >&5
    7860    echo "$as_me:7860: \$? = $ac_status" >&5
     7892   echo "$as_me:7892: \$? = $ac_status" >&5
    78617893   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    78627894   then
     
    1019910231  lt_status=$lt_dlunknown
    1020010232  cat > conftest.$ac_ext <<EOF
    10201 #line 10201 "configure"
     10233#line 10233 "configure"
    1020210234#include "confdefs.h"
    1020310235
     
    1029910331  lt_status=$lt_dlunknown
    1030010332  cat > conftest.$ac_ext <<EOF
    10301 #line 10301 "configure"
     10333#line 10333 "configure"
    1030210334#include "confdefs.h"
    1030310335
     
    1264312675   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1264412676   -e 's:$: $lt_compiler_flag:'`
    12645    (eval echo "\"\$as_me:12645: $lt_compile\"" >&5)
     12677   (eval echo "\"\$as_me:12677: $lt_compile\"" >&5)
    1264612678   (eval "$lt_compile" 2>conftest.err)
    1264712679   ac_status=$?
    1264812680   cat conftest.err >&5
    12649    echo "$as_me:12649: \$? = $ac_status" >&5
     12681   echo "$as_me:12681: \$? = $ac_status" >&5
    1265012682   if (exit $ac_status) && test -s "$ac_outfile"; then
    1265112683     # The compiler can only warn and ignore the option if not recognized
     
    1274712779   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1274812780   -e 's:$: $lt_compiler_flag:'`
    12749    (eval echo "\"\$as_me:12749: $lt_compile\"" >&5)
     12781   (eval echo "\"\$as_me:12781: $lt_compile\"" >&5)
    1275012782   (eval "$lt_compile" 2>out/conftest.err)
    1275112783   ac_status=$?
    1275212784   cat out/conftest.err >&5
    12753    echo "$as_me:12753: \$? = $ac_status" >&5
     12785   echo "$as_me:12785: \$? = $ac_status" >&5
    1275412786   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1275512787   then
     
    1431714349   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1431814350   -e 's:$: $lt_compiler_flag:'`
    14319    (eval echo "\"\$as_me:14319: $lt_compile\"" >&5)
     14351   (eval echo "\"\$as_me:14351: $lt_compile\"" >&5)
    1432014352   (eval "$lt_compile" 2>conftest.err)
    1432114353   ac_status=$?
    1432214354   cat conftest.err >&5
    14323    echo "$as_me:14323: \$? = $ac_status" >&5
     14355   echo "$as_me:14355: \$? = $ac_status" >&5
    1432414356   if (exit $ac_status) && test -s "$ac_outfile"; then
    1432514357     # The compiler can only warn and ignore the option if not recognized
     
    1442114453   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1442214454   -e 's:$: $lt_compiler_flag:'`
    14423    (eval echo "\"\$as_me:14423: $lt_compile\"" >&5)
     14455   (eval echo "\"\$as_me:14455: $lt_compile\"" >&5)
    1442414456   (eval "$lt_compile" 2>out/conftest.err)
    1442514457   ac_status=$?
    1442614458   cat out/conftest.err >&5
    14427    echo "$as_me:14427: \$? = $ac_status" >&5
     14459   echo "$as_me:14459: \$? = $ac_status" >&5
    1442814460   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1442914461   then
     
    1662816660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1662916661   -e 's:$: $lt_compiler_flag:'`
    16630    (eval echo "\"\$as_me:16630: $lt_compile\"" >&5)
     16662   (eval echo "\"\$as_me:16662: $lt_compile\"" >&5)
    1663116663   (eval "$lt_compile" 2>conftest.err)
    1663216664   ac_status=$?
    1663316665   cat conftest.err >&5
    16634    echo "$as_me:16634: \$? = $ac_status" >&5
     16666   echo "$as_me:16666: \$? = $ac_status" >&5
    1663516667   if (exit $ac_status) && test -s "$ac_outfile"; then
    1663616668     # The compiler can only warn and ignore the option if not recognized
     
    1689616928   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1689716929   -e 's:$: $lt_compiler_flag:'`
    16898    (eval echo "\"\$as_me:16898: $lt_compile\"" >&5)
     16930   (eval echo "\"\$as_me:16930: $lt_compile\"" >&5)
    1689916931   (eval "$lt_compile" 2>conftest.err)
    1690016932   ac_status=$?
    1690116933   cat conftest.err >&5
    16902    echo "$as_me:16902: \$? = $ac_status" >&5
     16934   echo "$as_me:16934: \$? = $ac_status" >&5
    1690316935   if (exit $ac_status) && test -s "$ac_outfile"; then
    1690416936     # The compiler can only warn and ignore the option if not recognized
     
    1700017032   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1700117033   -e 's:$: $lt_compiler_flag:'`
    17002    (eval echo "\"\$as_me:17002: $lt_compile\"" >&5)
     17034   (eval echo "\"\$as_me:17034: $lt_compile\"" >&5)
    1700317035   (eval "$lt_compile" 2>out/conftest.err)
    1700417036   ac_status=$?
    1700517037   cat out/conftest.err >&5
    17006    echo "$as_me:17006: \$? = $ac_status" >&5
     17038   echo "$as_me:17038: \$? = $ac_status" >&5
    1700717039   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1700817040   then
     
    2000420036  fi
    2000520037  if test -n "$PKG_CONFIG"; then
    20006     _pkg_min_version=0.9.0
     20038    _pkg_min_version=0.16.0
    2000720039    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
    2000820040echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
     
    2004520077# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    2004620078if test "x${prefix}" = xNONE ; then
    20047   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    20048 else
    20049   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20079  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20080else
     20081  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2005020082fi
    2005120083
     
    2005920091   { (exit 1); exit 1; }; }
    2006020092   fi
    20061    COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20093   COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:$withval/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2006220094
    2006320095fi;
     
    2009720129fi
    2009820130
     20131if test -n "$PKG_CONFIG" && test x$coin_cc_is_cl = xtrue; then
     20132  { echo "$as_me:$LINENO: WARNING: Using pkg-config together with MS or Intel Compiler on Windows is not support by example Makefiles. Consider using --disable-pkg-config." >&5
     20133echo "$as_me: WARNING: Using pkg-config together with MS or Intel Compiler on Windows is not support by example Makefiles. Consider using --disable-pkg-config." >&2;}
     20134fi
     20135
    2009920136
    2010020137
     
    2010720144# Set a substitutable variable with the library name, and determine the compilation style.
    2010820145
    20109 case "$CC" in
    20110   cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20111     AMPLSOLVER_A=libamplsolver.lib
    20112     msvc_compile=yes
    20113     ;;
    20114   *)
    20115     AMPLSOLVER_A=libamplsolver.a
    20116     msvc_compile=no
    20117     ;;
    20118 esac
    20119 { echo "$as_me:$LINENO: Configuring ASL to build $AMPLSOLVER_A." >&5
    20120 echo "$as_me: Configuring ASL to build $AMPLSOLVER_A." >&6;}
     20146if test "x$coin_cc_is_cl" = xtrue ; then
     20147  AMPLSOLVER_A=libamplsolver.lib
     20148else
     20149  AMPLSOLVER_A=libamplsolver.a
     20150fi
    2012120151
    2012220152# Determine flags to be passed on the command line to (n)make. The main
     
    2027020300
    2027120301
     20302# Check for dlopen, ASL uses it to load userdefined function libraries
     20303  echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
     20304echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
     20305if test "${ac_cv_lib_dl_dlopen+set}" = set; then
     20306  echo $ECHO_N "(cached) $ECHO_C" >&6
     20307else
     20308  ac_check_lib_save_LIBS=$LIBS
     20309LIBS="-ldl  $LIBS"
     20310cat >conftest.$ac_ext <<_ACEOF
     20311/* confdefs.h.  */
     20312_ACEOF
     20313cat confdefs.h >>conftest.$ac_ext
     20314cat >>conftest.$ac_ext <<_ACEOF
     20315/* end confdefs.h.  */
     20316
     20317/* Override any gcc2 internal prototype to avoid an error.  */
     20318#ifdef __cplusplus
     20319extern "C"
     20320#endif
     20321/* We use char because int might match the return type of a gcc2
     20322   builtin and then its argument prototype would still apply.  */
     20323char dlopen ();
     20324int
     20325main ()
     20326{
     20327dlopen ();
     20328  ;
     20329  return 0;
     20330}
     20331_ACEOF
     20332rm -f conftest.$ac_objext conftest$ac_exeext
     20333if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     20334  (eval $ac_link) 2>conftest.er1
     20335  ac_status=$?
     20336  grep -v '^ *+' conftest.er1 >conftest.err
     20337  rm -f conftest.er1
     20338  cat conftest.err >&5
     20339  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20340  (exit $ac_status); } &&
     20341         { ac_try='test -z "$ac_c_werror_flag"
     20342                         || test ! -s conftest.err'
     20343  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20344  (eval $ac_try) 2>&5
     20345  ac_status=$?
     20346  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20347  (exit $ac_status); }; } &&
     20348         { ac_try='test -s conftest$ac_exeext'
     20349  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20350  (eval $ac_try) 2>&5
     20351  ac_status=$?
     20352  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20353  (exit $ac_status); }; }; then
     20354  ac_cv_lib_dl_dlopen=yes
     20355else
     20356  echo "$as_me: failed program was:" >&5
     20357sed 's/^/| /' conftest.$ac_ext >&5
     20358
     20359ac_cv_lib_dl_dlopen=no
     20360fi
     20361rm -f conftest.err conftest.$ac_objext \
     20362      conftest$ac_exeext conftest.$ac_ext
     20363LIBS=$ac_check_lib_save_LIBS
     20364fi
     20365echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
     20366echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
     20367if test $ac_cv_lib_dl_dlopen = yes; then
     20368  ASL_PCLIBS="-ldl $ASL_PCLIBS"
     20369fi
     20370
     20371
    2027220372# Back to whatever language we were in.
    2027320373  ac_ext=c
     
    2028620386# Remove -Werror if present, to make sure we are not interrupting compilation
    2028720387# of ASL because of warning messages. The cl equivalent is -WX.
     20388# SV: Our buildsystem should never add these flags to the CFLAGS, so why bother checking for them?
     20389#     If the user added some, shouldn't we listen to it and not just remove them again?
    2028820390  bla=
    20289   if test x$msvc_compile = xyes ; then
     20391  if test "x$coin_cc_is_cl" = xtrue ; then
    2029020392    warnToErr="-WX"
    2029120393  else
     
    2029720399    fi
    2029820400  done
     20401
     20402# Add -fPIC -DPIC if we actually build shared libraries
     20403  if test x$enable_shared != xno; then
     20404    asladdcflags="$asladdcflags -fPIC -DPIC"
     20405  fi
     20406
    2029920407  ASLMAKEFLAGS="CFLAGS=\"$bla $asladdcflags\""
    2030020408
     
    2031220420# Limit GNU make to one thread. But remember that if we're building with
    2031320421# cl, ultimately we're going to use nmake, which knows nothing of this.
    20314   if test x$msvc_compile = xno ; then
     20422  if test "x$coin_cc_is_cl" != xtrue ; then
    2031520423    rm -rf conftest.mak
    2031620424    ($am_make -v > conftest.grp) 2>&5
     
    2032720435
    2032820436
    20329 # Set automake conditional and generate the output files.
    20330 
    20331 
    20332 
    20333 if test x$msvc_compile = xyes; then
    20334   MSVC_COMPILE_TRUE=
    20335   MSVC_COMPILE_FALSE='#'
    20336 else
    20337   MSVC_COMPILE_TRUE='#'
    20338   MSVC_COMPILE_FALSE=
    20339 fi
    20340 
     20437# generate the output files.
    2034120438
    2034220439          ac_config_files="$ac_config_files Makefile"
     
    2042720524
    2042820525  fi
     20526
     20527  # On AIX, the default sed cannot deal with somewhat long sed commands executed by config.status.
     20528  # So we reduce the hardcoded number of commands given to sed from 48 to 5 in config.status, hoping this will suffice.
     20529
    2042920530
    2043020531  cat >confcache <<\_ACEOF
     
    2060320704Usually this means the macro was only invoked conditionally." >&5
    2060420705echo "$as_me: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
    20605 Usually this means the macro was only invoked conditionally." >&2;}
    20606    { (exit 1); exit 1; }; }
    20607 fi
    20608 if test -z "${MSVC_COMPILE_TRUE}" && test -z "${MSVC_COMPILE_FALSE}"; then
    20609   { { echo "$as_me:$LINENO: error: conditional \"MSVC_COMPILE\" was never defined.
    20610 Usually this means the macro was only invoked conditionally." >&5
    20611 echo "$as_me: error: conditional \"MSVC_COMPILE\" was never defined.
    2061220706Usually this means the macro was only invoked conditionally." >&2;}
    2061320707   { (exit 1); exit 1; }; }
     
    2115221246s,@EGREP@,$EGREP,;t t
    2115321247s,@LN_S@,$LN_S,;t t
    21154 s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
    21155 s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2115621248s,@CDEFS@,$CDEFS,;t t
    2115721249s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     
    2116621258s,@EXEEXT@,$EXEEXT,;t t
    2116721259s,@OBJEXT@,$OBJEXT,;t t
     21260s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     21261s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2116821262s,@MPICC@,$MPICC,;t t
    2116921263s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
     
    2124621340s,@AMPLSOLVER_A@,$AMPLSOLVER_A,;t t
    2124721341s,@ASLMAKEFLAGS@,$ASLMAKEFLAGS,;t t
    21248 s,@MSVC_COMPILE_TRUE@,$MSVC_COMPILE_TRUE,;t t
    21249 s,@MSVC_COMPILE_FALSE@,$MSVC_COMPILE_FALSE,;t t
    2125021342s,@ASL_PCLIBS@,$ASL_PCLIBS,;t t
    2125121343s,@LIBEXT@,$LIBEXT,;t t
     
    2170821800
    2170921801
     21802    case $build in
     21803      *-aix*)
     21804        { echo "$as_me:$LINENO: patching config.status to reduce ac_max_sed_lines to 5" >&5
     21805echo "$as_me: patching config.status to reduce ac_max_sed_lines to 5" >&6;}
     21806        sed -e 's/ac_max_sed_lines=48/ac_max_sed_lines=5/g' config.status > config.status.tmp
     21807        mv config.status.tmp config.status
     21808      ;;
     21809    esac
     21810
     21811
    2171021812# configure is writing to config.log, and then calls config.status.
    2171121813# config.status does its own redirection, appending to config.log.
     
    2178421886  fi
    2178521887
     21888  { echo "$as_me:$LINENO: In case of trouble, first consult the troubleshooting page at https://projects.coin-or.org/BuildTools/wiki/user-troubleshooting" >&5
     21889echo "$as_me: In case of trouble, first consult the troubleshooting page at https://projects.coin-or.org/BuildTools/wiki/user-troubleshooting" >&6;}
    2178621890  if test x$coin_projectdir = xyes; then
    2178721891    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
Note: See TracChangeset for help on using the changeset viewer.